## ros-humble-qt-gui 2.2.2

=== debian/changelog ===
ros-humble-qt-gui (2.2.2-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 Aug 2022 00:00:00 -0000

ros-humble-qt-gui (2.2.1-1jammy) jammy; urgency=high

  * Fix flake8 errors introduced by the previous commit. (#262 <https://github.com/ros-visualization/qt_gui_core/issues/262>)
  * Enable basic help information if no plugins are running (#261 <https://github.com/ros-visualization/qt_gui_core/issues/261>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-qt-gui (2.2.0-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-qt-gui (2.1.1-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-qt-gui (2.1.0-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Nov 2021 00:00:00 -0000

ros-humble-qt-gui (2.0.1-1jammy) jammy; urgency=high

  * Always prefer 'Tango' icon theme (#250 <https://github.com/ros-visualization/qt_gui_core/issues/250>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 29 Apr 2021 00:00:00 -0000

ros-humble-qt-gui (2.0.0-1jammy) jammy; urgency=high

  * Fix 'dict_keys' object not subscriptable (#243 <https://github.com/ros-visualization/qt_gui_core/issues/243>)
  * Contributors: Michael Jeronimo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 Jan 2021 00:00:00 -0000

ros-humble-qt-gui (1.1.2-1jammy) jammy; urgency=high

  * allow hide title in standalone (#235 <https://github.com/ros-visualization/qt_gui_core/issues/235>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-humble-qt-gui (1.1.1-1jammy) jammy; urgency=high

  * add logic to load qt_gui_icons on windows and macOS (#222 <https://github.com/ros-visualization/qt_gui_core/issues/222>)
  * fix exporting perspective for Python 3.6 (#228 <https://github.com/ros-visualization/qt_gui_core/issues/228>)
  * remove tango-icon-theme dependency (#224 <https://github.com/ros-visualization/qt_gui_core/issues/224>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Aug 2020 00:00:00 -0000

ros-humble-qt-gui (1.1.0-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 May 2020 00:00:00 -0000

ros-humble-qt-gui (1.0.9-1jammy) jammy; urgency=high

  * fix export perspective on Python 3 (#217 <https://github.com/ros-visualization/qt_gui_core/issues/217>)
  * fix runtime error on shutdown (#213 <https://github.com/ros-visualization/qt_gui_core/issues/213>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-qt-gui (1.0.8-1jammy) jammy; urgency=high

  * qt_gui: use native default icon theme if suitable (#202 <https://github.com/ros-visualization/qt_gui_core/issues/202>)
  * fix title bar buttons rendering on macOS (#205 <https://github.com/ros-visualization/qt_gui_core/issues/205>)
  * fix platform check for macOS in themeSearchPaths patching (#204 <https://github.com/ros-visualization/qt_gui_core/issues/204>)
  * auto adjust main window if standalone (#199 <https://github.com/ros-visualization/qt_gui_core/issues/199>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 May 2020 00:00:00 -0000

ros-humble-qt-gui (1.0.7-1jammy) jammy; urgency=high

  * fix C++ Settings methods allKeys, childGroups, childKeys (#182 <https://github.com/ros-visualization/qt_gui_core/issues/182>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-humble-qt-gui (1.0.6-1jammy) jammy; urgency=high

  * add missing QtCore import (#178 <https://github.com/ros-visualization/qt_gui_core/issues/178>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 00:00:00 -0000

ros-humble-qt-gui (1.0.4-1jammy) jammy; urgency=high

  * fix dictionary changes size during iteration (#166 <https://github.com/ros-visualization/qt_gui_core/issues/166>)
  * fix typo (#164 <https://github.com/ros-visualization/qt_gui_core/issues/164>)
  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 00:00:00 -0000

ros-humble-qt-gui (1.0.3-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-qt-gui (1.0.2-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-qt-gui (1.0.1-1jammy) jammy; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-qt-gui (1.0.0-1jammy) jammy; urgency=high

  * fix warning message (#143 <https://github.com/ros-visualization/qt_gui_core/issues/143>)
  * fix debug entry point of doc widget title bar (#141 <https://github.com/ros-visualization/qt_gui_core/issues/141>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
    Porting to ROS2
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 00:00:00 -0000

ros-humble-qt-gui (0.3.11-1jammy) jammy; urgency=high

  * fix path being set for exporting perspective (#121 <https://github.com/ros-visualization/qt_gui_core/issues/121>, regression from 0.3.9)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Aug 2018 00:00:00 -0000

ros-humble-qt-gui (0.3.10-1jammy) jammy; urgency=high

  * keep multi_process variable in standalone mode (#120 <https://github.com/ros-visualization/qt_gui_core/issues/120>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 05 Aug 2018 00:00:00 -0000

ros-humble-qt-gui (0.3.9-1jammy) jammy; urgency=high


