=== debian/control ===
Source: ros-humble-qt-gui
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libpyside2-dev, libshiboken2-dev, pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-pyside2.qtsvg, python3-sip-dev, qt5-qmake, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, shiboken2, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/qt_gui
Standards-Version: 3.9.2

Package: ros-humble-qt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, ros-humble-ament-index-python, ros-humble-python-qt-binding, ros-humble-tango-icons-vendor, ros-humble-ros-workspace
Description: qt_gui provides the infrastructure for an integrated graphical user interface based on Qt.
 It is extensible with Python- and C++-based plugins (implemented in separate packages) which can contribute arbitrary widgets. It requires either PyQt or PySide bindings.
